Subject: Re: [Ietf-languages] Khmer orthographic reform

From: Élie Roux <[email-masked]>
Date: Fri, 1 Nov 2019 10:00:25 +0100

Thanks for the answers!

> It may not be clear that two subtags are needed, if the current
> orthography is overwhelmingly dominant and can be assumed, but that
> discussion can come later.

Sure, I thought about just one tag for pre-reform orthography yes,
it's reasonable to assume that the default would be the modern one

> You'll certainly want to find a reference that explains and describes
> the reform. The ones Richard supplied may help. It's not mandatory that
> all contemporary writers switched to the new orthography simultaneously
> or uniformly; that certainly wasn't the case for, say, '1606nict'.

Ok yes, makes sense. I'll try to find a reference point; my
understanding is that it will be quite arbitrary as there seems to be
a continuum of reforms; and it seems not very productive to identify
each one with a different tag.

> The subtag values themselves probably won't be any sort of abbreviation
> for "pre-20th century" or the like. Such a subtag could theoretically
> apply to dozens or hundreds of languages, with a different meaning for
> each; and although the Prefix field is supposed to suggest the languages
> for which the subtag is considered suitable, concerns are usually voiced
> that this is not sufficient to discourage inappropriate use.

Oh, so it's better if it contain the name of the language? something
like -kmpre20c ?

Best,
-- 
Elie

---

From: Élie Roux <[email-masked]>
Date: Fri, 1 Nov 2019 12:27:18 +0100

Here's a small doc with a timeline and some sources:

https://docs.google.com/document/d/1i4BIi5oRxr9x0gZMjQs00bFNMKSLW2j3Iiszvdtl8Y8/edit?usp=sharing

I think my proposal would be the subtag "-kmpre20c", indicating a
spelling of Khmer predating the reforms of the 20th century. Looking
at the timeline I can't really find a better name... Would that be a
reasonable request or are there some red flags?

Best,
-- 
Elie